# eric6.Helpviewer.ClosedTabsManager

Module implementing a class to manage closed tabs.

### Global Attributes

None

### Classes

ClosedTab | Class implementing a structure to store data about a closed tab.
ClosedTabsManager | Class implementing a manager for closed tabs.

### Functions

None

## ClosedTab

Class implementing a structure to store data about a closed tab.

### Derived from

object

### Class Attributes

None

### Class Methods

None

### Methods

ClosedTab | Constructor
__eq__ | Special method implementing the equality operator.

### Static Methods

None

#### ClosedTab (Constructor)

ClosedTab(url=QUrl(), title="", position=-1)

Constructor

url
  URL of the closed tab (QUrl)
title
  title of the closed tab (string)
position
  index of the closed tab (integer)

#### ClosedTab.__eq__

__eq__(other)

Special method implementing the equality operator.

other
  reference to the object to compare against (ClosedTab)

Returns:
  flag indicating equality of the tabs (boolean)

Up

## ClosedTabsManager

Class implementing a manager for closed tabs.

### Signals

closedTabAvailable(boolean)
  emitted to signal a change of availability of closed tabs

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

ClosedTabsManager | Constructor
allClosedTabs | Public method to get a list of all closed tabs.
clearList | Public method to clear the list of closed tabs.
getClosedTabAt | Public method to get the indexed closed tab.
isClosedTabAvailable | Public method to check for closed tabs.
recordBrowser | Public method to record the data of a browser about to be closed.

### Static Methods

None

#### ClosedTabsManager (Constructor)

ClosedTabsManager(parent=None)

Constructor

parent
  reference to the parent object (QObject)

#### ClosedTabsManager.allClosedTabs

allClosedTabs()

Public method to get a list of all closed tabs.

Returns:
  list of closed tabs (list of ClosedTab)

#### ClosedTabsManager.clearList

clearList()

Public method to clear the list of closed tabs.

#### ClosedTabsManager.getClosedTabAt

getClosedTabAt(index)

Public method to get the indexed closed tab.

index
  index of the tab to return (integer)

Returns:
  requested tab (ClosedTab)

#### ClosedTabsManager.isClosedTabAvailable

isClosedTabAvailable()

Public method to check for closed tabs.

Returns:
  flag indicating the availability of closed tab data (boolean)

#### ClosedTabsManager.recordBrowser

recordBrowser(browser, position)

Public method to record the data of a browser about to be closed.

browser
  reference to the browser to be closed (HelpBrowser)
position
  index of the tab to be closed (integer)

Up